function WidgetClass(manager, args)
{
	this.manager = manager;
}

WidgetClass.prototype = {
	attach: function(){
		//Widghetが読み込まれる直前にmanagerによって呼ばれる。
	},
	detach: function(){
		//解放される直前に呼ばれる
	},
	tick : function(){
		//pauseStage()されていなければmanagerより呼ばれる。
		//falseを返した時点でこのWidgetは解放される。
		return false;
	},
	draw : function(){
		//managerにより呼ばれる。
	},
};
